Index: cprs/branches/HealthSevak-CPRS/CPRS-Chart/Orders/fODBBank.dfm
===================================================================
--- cprs/branches/HealthSevak-CPRS/CPRS-Chart/Orders/fODBBank.dfm	(revision 1676)
+++ cprs/branches/HealthSevak-CPRS/CPRS-Chart/Orders/fODBBank.dfm	(revision 1693)
@@ -2,14 +2,22 @@
   Left = 409
   Top = 244
-  HorzScrollBar.Range = 0
-  VertScrollBar.Range = 0
+  Width = 700
+  Height = 626
+  AutoScroll = True
   Caption = 'Blood Component and Diagnostic Test Order Form'
-  ClientHeight = 600
-  ClientWidth = 709
-  ExplicitWidth = 717
-  ExplicitHeight = 634
+  OnShow = FormShow
+  ExplicitWidth = 700
+  ExplicitHeight = 626
   PixelsPerInch = 96
   TextHeight = 13
-  object pnlComments: TPanel [0]
+  object Splitter1: TSplitter [0]
+    Left = 0
+    Top = 0
+    Width = 692
+    Height = 2
+    Cursor = crVSplit
+    Align = alTop
+  end
+  object pnlComments: TPanel [1]
     Left = 12
     Top = 25
@@ -51,33 +59,36 @@
   end
   inherited memOrder: TCaptionMemo
-    Left = 0
-    Top = 399
+    Left = 4
+    Top = 503
     Width = 449
     Height = 59
     Visible = False
-    ExplicitLeft = 0
-    ExplicitTop = 399
+    ExplicitLeft = 4
+    ExplicitTop = 503
     ExplicitWidth = 449
     ExplicitHeight = 59
   end
-  object pgeProduct: TPageControl [2]
+  object pgeProduct: TPageControl [3]
     Left = 0
-    Top = 0
-    Width = 709
-    Height = 393
+    Top = 2
+    Width = 692
+    Height = 497
     ActivePage = TabDiag
     Align = alTop
-    TabOrder = 6
-    TabStop = False
+    TabOrder = 4
     OnChange = pgeProductChange
     object TabInfo: TTabSheet
       Caption = 'Patient Information'
       ImageIndex = 3
+      ExplicitLeft = 0
+      ExplicitTop = 0
+      ExplicitWidth = 0
+      ExplicitHeight = 0
       object edtInfo: TCaptionRichEdit
         Left = 0
-        Top = 8
-        Width = 556
-        Height = 337
-        TabStop = False
+        Top = 0
+        Width = 684
+        Height = 469
+        Align = alClient
         BevelInner = bvNone
         BevelOuter = bvNone
@@ -91,4 +102,5 @@
         ScrollBars = ssBoth
         TabOrder = 0
+        WordWrap = False
         Caption = 'Patient Info'
       end
@@ -98,5 +110,5 @@
       ImageIndex = 2
       object lblReqComment: TOROffsetLabel
-        Left = 298
+        Left = 300
         Top = 25
         Width = 108
@@ -109,7 +121,7 @@
       object pnlFields: TPanel
         Left = 0
-        Top = 163
-        Width = 701
-        Height = 99
+        Top = 145
+        Width = 684
+        Height = 210
         Hint = 'Data entered into these fields apply to the entire order.'
         Align = alTop
@@ -120,7 +132,7 @@
         TabOrder = 2
         object lblDiagComment: TOROffsetLabel
-          Left = 257
-          Top = 35
-          Width = 46
+          Left = 0
+          Top = 128
+          Width = 62
           Height = 15
           Caption = 'Comment'
@@ -137,6 +149,6 @@
         end
         object lblUrgency: TLabel
-          Left = 8
-          Top = -2
+          Left = 0
+          Top = -1
           Width = 44
           Height = 13
@@ -150,9 +162,9 @@
         end
         object lblReason: TLabel
-          Left = 10
-          Top = 35
-          Width = 99
+          Left = 0
+          Top = 40
+          Width = 95
           Height = 13
-          Caption = 'Reason for Request*'
+          Caption = 'Reason for Request'
           Font.Charset = DEFAULT_CHARSET
           Font.Color = clWindowText
@@ -163,6 +175,6 @@
         end
         object lblSurgery: TLabel
-          Left = 115
-          Top = -2
+          Left = 117
+          Top = 0
           Width = 36
           Height = 13
@@ -171,4 +183,5 @@
             'r.'
           Caption = 'Surgery'
+          Enabled = False
           Font.Charset = DEFAULT_CHARSET
           Font.Color = clWindowText
@@ -179,13 +192,43 @@
         end
         object lblRequiredField: TLabel
-          Left = 10
-          Top = 75
+          Left = 398
+          Top = 38
           Width = 122
           Height = 13
           Caption = '* Indicates a required field'
         end
+        object lblTNS: TLabel
+          Left = 270
+          Top = 0
+          Width = 14
+          Height = 13
+          Caption = 'tns'
+          Color = clActiveBorder
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clMaroon
+          Font.Height = -11
+          Font.Name = 'MS Sans Serif'
+          Font.Style = []
+          ParentColor = False
+          ParentFont = False
+          Visible = False
+        end
+        object lblNoBloodReq: TLabel
+          Left = 341
+          Top = 21
+          Width = 176
+          Height = 13
+          Caption = 'No Blood Required for this Procedure'
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clMaroon
+          Font.Height = -11
+          Font.Name = 'MS Sans Serif'
+          Font.Style = []
+          ParentFont = False
+          Visible = False
+        end
         object cboUrgency: TORComboBox
-          Left = 12
-          Top = 12
+          Left = 4
+          Top = 14
           Width = 98
           Height = 21
@@ -217,6 +260,6 @@
         end
         object chkConsent: TCheckBox
-          Left = 351
-          Top = 10
+          Left = 529
+          Top = 92
           Width = 112
           Height = 17
@@ -237,6 +280,6 @@
         end
         object cboSurgery: TORComboBox
-          Left = 115
-          Top = 12
+          Left = 117
+          Top = 14
           Width = 218
           Height = 21
@@ -269,9 +312,9 @@
         end
         object cboReasons: TORComboBox
-          Left = 12
-          Top = 51
-          Width = 239
-          Height = 21
-          Style = orcsDropDown
+          Left = 4
+          Top = 55
+          Width = 525
+          Height = 74
+          Style = orcsSimple
           AutoSelect = True
           Color = clWindow
@@ -293,8 +336,8 @@
         end
         object memDiagComment: TRichEdit
-          Left = 257
-          Top = 51
-          Width = 250
-          Height = 48
+          Left = 4
+          Top = 144
+          Width = 525
+          Height = 60
           TabOrder = 4
           OnChange = memDiagCommentChange
@@ -304,30 +347,14 @@
         Left = 0
         Top = 35
-        Width = 701
-        Height = 128
+        Width = 684
+        Height = 110
         Align = alTop
         BevelEdges = []
         BevelOuter = bvNone
         TabOrder = 1
-        object lblTNS: TLabel
-          Left = 298
-          Top = 109
-          Width = 14
-          Height = 13
-          Caption = 'tns'
-          Color = clActiveBorder
-          Font.Charset = DEFAULT_CHARSET
-          Font.Color = clMaroon
-          Font.Height = -11
-          Font.Name = 'MS Sans Serif'
-          Font.Style = []
-          ParentColor = False
-          ParentFont = False
-          Visible = False
-        end
         object pnlDiagnosticTests: TGroupBox
-          Left = 256
+          Left = 266
           Top = 0
-          Width = 267
+          Width = 256
           Height = 110
           Caption = 'Diagnostic Tests'
@@ -339,4 +366,7 @@
           ParentFont = False
           TabOrder = 1
+          OnClick = pnlDiagnosticTestsClick
+          OnEnter = pnlDiagnosticTestsEnter
+          OnExit = pnlDiagnosticTestsExit
           object lblCollType: TLabel
             Left = 13
@@ -355,46 +385,64 @@
             Left = 12
             Top = 70
-            Width = 104
+            Width = 100
             Height = 13
-            Caption = 'Collection Date/Time*'
-            Font.Charset = DEFAULT_CHARSET
-            Font.Color = clWindowText
-            Font.Height = -11
-            Font.Name = 'MS Sans Serif'
-            Font.Style = []
-            ParentFont = False
-          end
-          object cmdImmedColl: TSpeedButton
-            Left = 148
-            Top = 89
+            Caption = 'Collection Date/Time'
+            Font.Charset = DEFAULT_CHARSET
+            Font.Color = clWindowText
+            Font.Height = -11
+            Font.Name = 'MS Sans Serif'
+            Font.Style = []
+            ParentFont = False
+          end
+          object pnlCollTimeButton: TKeyClickPanel
+            Left = 178
+            Top = 82
             Width = 21
-            Height = 11
-            Font.Charset = DEFAULT_CHARSET
-            Font.Color = clWindowText
-            Font.Height = -16
-            Font.Name = 'MS Sans Serif'
-            Font.Style = [fsBold]
-            Glyph.Data = {
-              D6000000424DD60000000000000076000000280000000C0000000C0000000100
-              0400000000006000000000000000000000001000000010000000000000000000
-              80000080000000808000800000008000800080800000C0C0C000808080000000
-              FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
-              0000333333333333000033333333333300003333333333330000300330033003
-              0000300330033003000033333333333300003333333333330000333333333333
-              0000333333333333000033333333333300003333333333330000}
-            ParentFont = False
-            ParentShowHint = False
-            ShowHint = False
-            OnClick = cmdImmedCollClick
-          end
-          object pnlCollTimeButton: TKeyClickPanel
-            Left = 85
-            Top = 89
-            Width = 20
-            Height = 13
+            Height = 21
             BevelOuter = bvNone
             Caption = 'Select collection time'
             TabOrder = 5
             TabStop = True
+            object cmdImmedColl: TSpeedButton
+              Left = 0
+              Top = 0
+              Width = 21
+              Height = 21
+              Align = alClient
+              Font.Charset = DEFAULT_CHARSET
+              Font.Color = clWindowText
+              Font.Height = -16
+              Font.Name = 'MS Sans Serif'
+              Font.Style = [fsBold]
+              Glyph.Data = {
+                D6000000424DD60000000000000076000000280000000C0000000C0000000100
+                0400000000006000000000000000000000001000000010000000000000000000
+                80000080000000808000800000008000800080800000C0C0C000808080000000
+                FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
+                0000333333333333000033333333333300003333333333330000300330033003
+                0000300330033003000033333333333300003333333333330000333333333333
+                0000333333333333000033333333333300003333333333330000}
+              ParentFont = False
+              ParentShowHint = False
+              ShowHint = False
+              OnClick = cmdImmedCollClick
+            end
+          end
+          object calCollTime: TORDateBox
+            Left = 12
+            Top = 82
+            Width = 165
+            Height = 21
+            Font.Charset = DEFAULT_CHARSET
+            Font.Color = clWindowText
+            Font.Height = -11
+            Font.Name = 'MS Sans Serif'
+            Font.Style = []
+            ParentFont = False
+            TabOrder = 4
+            OnChange = calCollTimeChange
+            OnEnter = calCollTimeEnter
+            DateOnly = False
+            RequireTime = False
           end
           object cboAvailTest: TORComboBox
@@ -417,5 +465,5 @@
             ItemTipEnable = True
             ListItemsOnly = False
-            LongList = True
+            LongList = False
             LookupPiece = 0
             MaxLength = 0
@@ -426,6 +474,7 @@
             TabOrder = 0
             TabStop = True
+            OnClick = cboAvailTestSelect
+            OnEnter = cboAvailTestEnter
             OnExit = cboAvailTestExit
-            OnMouseClick = cboAvailTestSelect
             OnNeedData = cboAvailTestNeedData
             CharsNeedMatch = 1
@@ -434,5 +483,5 @@
             Left = 12
             Top = 46
-            Width = 165
+            Width = 197
             Height = 21
             Style = orcsDropDown
@@ -459,4 +508,6 @@
             TabOrder = 1
             OnChange = cboCollTypeChange
+            OnClick = cboCollTypeClick
+            OnEnter = cboCollTypeEnter
             CharsNeedMatch = 1
           end
@@ -489,21 +540,6 @@
             TabOrder = 2
             OnChange = cboCollTimeChange
+            OnEnter = cboCollTimeEnter
             CharsNeedMatch = 1
-          end
-          object calCollTime: TORDateBox
-            Left = 12
-            Top = 82
-            Width = 165
-            Height = 21
-            Font.Charset = DEFAULT_CHARSET
-            Font.Color = clWindowText
-            Font.Height = -11
-            Font.Name = 'MS Sans Serif'
-            Font.Style = []
-            ParentFont = False
-            TabOrder = 3
-            OnChange = calCollTimeChange
-            DateOnly = False
-            RequireTime = False
           end
           object txtImmedColl: TCaptionEdit
@@ -514,6 +550,6 @@
             Color = clBtnFace
             ReadOnly = True
-            TabOrder = 4
-            Text = 'txtImmedColl'
+            TabOrder = 3
+            OnEnter = txtImmedCollEnter
           end
         end
@@ -521,7 +557,8 @@
           Left = 4
           Top = 0
-          Width = 246
+          Width = 256
           Height = 110
           Caption = 'Blood Components'
+          Color = clBtnFace
           Font.Charset = DEFAULT_CHARSET
           Font.Color = clWindowText
@@ -529,12 +566,16 @@
           Font.Name = 'MS Sans Serif'
           Font.Style = [fsBold]
+          ParentColor = False
           ParentFont = False
           TabOrder = 0
+          OnClick = pnlBloodComponentsClick
+          OnEnter = pnlBloodComponentsEnter
+          OnExit = pnlBloodComponentsExit
           object lblQuantity: TLabel
             Left = 198
             Top = 0
-            Width = 43
+            Width = 39
             Height = 13
-            Caption = 'Quantity*'
+            Caption = 'Quantity'
             Font.Charset = DEFAULT_CHARSET
             Font.Color = clWindowText
@@ -560,7 +601,7 @@
             Left = 7
             Top = 70
-            Width = 96
+            Width = 92
             Height = 13
-            Caption = 'Date/Time Wanted*'
+            Caption = 'Date/Time Wanted'
             Font.Charset = DEFAULT_CHARSET
             Font.Color = clWindowText
@@ -598,5 +639,5 @@
             TabOrder = 0
             TabStop = True
-            OnChange = cboAvailCompChange
+            OnEnter = cboAvailCompEnter
             OnExit = cboAvailCompExit
             OnMouseClick = cboAvailCompSelect
@@ -623,5 +664,5 @@
             Left = 11
             Top = 46
-            Width = 133
+            Width = 181
             Height = 21
             Style = orcsDropDown
@@ -647,4 +688,5 @@
             TabOrder = 2
             OnChange = cboModifiersChange
+            OnEnter = cboModifiersEnter
             CharsNeedMatch = 1
           end
@@ -652,5 +694,5 @@
             Left = 11
             Top = 82
-            Width = 149
+            Width = 181
             Height = 21
             Font.Charset = DEFAULT_CHARSET
@@ -662,4 +704,5 @@
             TabOrder = 3
             OnChange = calWantTimeChange
+            OnEnter = calWantTimeEnter
             DateOnly = False
             RequireTime = False
@@ -670,5 +713,5 @@
         Left = 0
         Top = 0
-        Width = 701
+        Width = 684
         Height = 35
         Align = alTop
@@ -684,5 +727,5 @@
           Left = 15
           Top = 11
-          Width = 488
+          Width = 508
           Height = 21
           Style = orcsDropDown
@@ -707,7 +750,7 @@
       object pnlSelectedTests: TGroupBox
         Left = 0
-        Top = 262
-        Width = 701
-        Height = 112
+        Top = 355
+        Width = 684
+        Height = 109
         Align = alTop
         Caption = 'Selected Components and Tests'
@@ -722,8 +765,7 @@
         object lvSelectionList: TCaptionListView
           Left = 5
-          Top = 12
-          Width = 417
+          Top = 15
+          Width = 430
           Height = 91
-          Color = clBtnFace
           Columns = <
             item
@@ -751,5 +793,5 @@
           Font.Height = -11
           Font.Name = 'MS Sans Serif'
-          Font.Style = [fsBold]
+          Font.Style = []
           ReadOnly = True
           RowSelect = True
@@ -762,5 +804,5 @@
         end
         object btnRemove: TButton
-          Left = 428
+          Left = 450
           Top = 37
           Width = 75
@@ -777,5 +819,5 @@
         end
         object btnRemoveAll: TButton
-          Left = 428
+          Left = 450
           Top = 64
           Width = 75
@@ -795,9 +837,14 @@
     object TabResults: TTabSheet
       Caption = 'Lab Results'
+      ExplicitLeft = 0
+      ExplicitTop = 0
+      ExplicitWidth = 0
+      ExplicitHeight = 0
       object edtResults: TCaptionRichEdit
-        Left = -4
-        Top = 57
-        Width = 517
-        Height = 290
+        Left = 0
+        Top = 0
+        Width = 684
+        Height = 469
+        Align = alClient
         Font.Charset = DEFAULT_CHARSET
         Font.Color = clWindowText
@@ -812,27 +859,29 @@
   inherited cmdAccept: TButton
     Left = 455
-    Top = 399
+    Top = 503
+    Width = 75
     TabOrder = 2
     Visible = False
     ExplicitLeft = 455
-    ExplicitTop = 399
+    ExplicitTop = 503
+    ExplicitWidth = 75
   end
   inherited cmdQuit: TButton
     Left = 455
-    Top = 426
+    Top = 541
     Width = 52
     TabOrder = 3
     ExplicitLeft = 455
-    ExplicitTop = 426
+    ExplicitTop = 541
     ExplicitWidth = 52
   end
   inherited pnlMessage: TPanel
     Left = 8
-    Top = 409
+    Top = 513
     Width = 409
     Height = 49
     TabOrder = 1
     ExplicitLeft = 8
-    ExplicitTop = 409
+    ExplicitTop = 513
     ExplicitWidth = 409
     ExplicitHeight = 49
@@ -946,6 +995,5 @@
       (
         'Component = cboReasons'
-        'Text = Applies to entire order'
-        'Status = stsOK')
+        'Status = stsDefault')
       (
         'Component = memDiagComment'
@@ -958,14 +1006,14 @@
         'Status = stsDefault')
       (
+        'Component = txtImmedColl'
+        'Status = stsDefault')
+      (
+        'Component = calCollTime'
+        'Status = stsDefault')
+      (
+        'Component = pnlCollTimeButton'
+        'Status = stsDefault')
+      (
         'Component = calWantTime'
-        'Status = stsDefault')
-      (
-        'Component = calCollTime'
-        'Status = stsDefault')
-      (
-        'Component = txtImmedColl'
-        'Status = stsDefault')
-      (
-        'Component = pnlCollTimeButton'
         'Status = stsDefault'))
   end
